Description

Redmine would be more inclusive if contain a support ticket or helpdesk feature.

This would be useful, especially for SMB such as my company, which requires an organised support system without too many

advanced features features.

History

#1 - 2009-07-25 02:15 - Enderson Maia

André Tenreiro wrote:

Redmine would be more inclusive if contain a support ticket or helpdesk feature.

This would be useful, especially for SMB such as my company, which requires an organised support system without too many advanced

features features.

 What features do you need specifically ?

I'm using a separate project for handling support needs, and with different roles and trackers I did a different workflow for the tickets. In this project I

created different categories for the supporting areas (linux, windows, database, hardware).

I could use custom fields to make a better tracking of the work.

Since everyone in my company has a LDAP account, I have no need to create each user.

#2 - 2009-07-25 13:29 - André Tenreiro

Enderson Maia wrote:

André Tenreiro wrote:

Redmine would be more inclusive if contain a support ticket or helpdesk feature.

This would be useful, especially for SMB such as my company, which requires an organised support system without too many advanced

features features.

 What features do you need specifically ?

I'm using a separate project for handling support needs, and with different roles and trackers I did a different workflow for the tickets. In this

project I created different categories for the supporting areas (linux, windows, database, hardware).

I could use custom fields to make a better tracking of the work.

Since everyone in my company has a LDAP account, I have no need to create each user.

 Olá Enderson,

It fits but shall not be the same! What I do need? Not much, features such as:

- Simple pie chart statistics for support (by user or department)

- Ticket assignment to department (not only users).

#3 - 2009-07-27 16:54 - Dmitry Shkolnikov
And anonimous ticket creation in private project would be great feauture.

For example, I have several customers and I don't want to show them tickets of other users. I don't know e-mails of their employees and cannot

identify them automatically.

Ideally I would like to have an access option "Show tickets only created by user himself".

Sorry for bad English.

#4 - 2009-07-28 23:13 - Thomas Pihl

Dmitry Shkolnikov wrote:

And anonimous ticket creation in private project would be great feauture.

For example, I have several customers and I don't want to show them tickets of other users. I don't know e-mails of their employees and cannot

identify them automatically.

Ideally I would like to have an access option "Show tickets only created by user himself".

Sorry for bad English.

 Isn't that solved with #3187?

#5 - 2009-07-28 23:23 - Dmitry Shkolnikov

Isn't that solved with #3187?

 Well, I think it is very similar to what I need. Thank you!

#6 - 2009-10-01 00:15 - Pablo 09

I have tried on 0.8.5.devel.2902  and it don´t run.

Mysql::Error: You have an error in your SQL syntax;

#7 - 2010-04-26 20:54 - Roy Andre Tollefsen

We have developed a plugin for Redmine to be able to use Redmine as a fully featured support/ticket system.

It works in the way that it fetches incoming emails from an email account, auto-replies to the client with a ticket number and add the request into a

dedicated Project (Support) in Redmine as an Issue. You can then update the ticket, re-assign it, etc - and choose whether to inform the client (by

email) or not each time you add an update to the issue.

#8 - 2010-04-27 23:52 - Thomas Pihl

I think that functionality are in trunk, all except the option to decide NOT to inform the originator about a change to the issue.

You can find more on redmine.org wiki incoming emails (somewhere). We have had best success with postfix alias integration where the issue get

created when the mail arrives (and there can be a bounce if the creation is unsuccessful). No mailbox involved.

But you may have some other wonderful stuff in your plug-in. Where can it be downloaded from?

BR,

Thomas

#9 - 2010-05-08 13:37 - Matthias Althaus

I'm currently looking into setting up a user support system. After installing Redmine as the project management software a couple of days ago and

then searching around for an OS solution for the support, I stumbled upon this issue.

Imho I'd be great if Redmine would get some more feature support into this direction as you could host two systems with one solution. What Roy

wrote sounds already promising. Can you share your work?

Cheers

Matthias

#10 - 2010-05-09 13:04 - Charly Leetham

Hi Matthias,

I too am looking for a helpdesk solution.  I found the download on Github:

http://github.com/yeah/redmine_helpdesk

Now I'm trying to work out how to use it.

Interested if anyone has any feedback on input on how to use the plugin.
Charly

Matthias Althaus wrote:

I'm currently looking into setting up a user support system. After installing Redmine as the project management software a couple of days ago

and then searching around for an OS solution for the support, I stumbled upon this issue.

Imho I'd be great if Redmine would get some more feature support into this direction as you could host two systems with one solution. What Roy

wrote sounds already promising. Can you share your work?

Cheers

Matthias

#11 - 2010-05-10 10:36 - Matthias Althaus

Hey Charly,

nice dig. Would be great, if you could post your experiences with that plugin. :)

Cheers

Matthias

#12 - 2010-06-02 16:21 - Andrea Saccavini

Hi guys,

I'm trying the helpdesk plugin with 0.9.3 but I can't make it work. Any idea? How about your tests?

Tks

#13 - 2010-10-25 17:03 - Eric Davis

- Assignee deleted (Eric Davis)

#14 - 2010-10-29 14:56 - Frank DeBoer

Another area to think is a distinction between an inter-org helpdesk feature (i.e. everyone can see other's incidents) and a b2c public facing scenario

where privacy is very important. I am thinking of restrictions of users only seeing incidents they have submitted or content tagged as common via

news/files/wiki/etc. Obviously the latter requires more thought behind this as it's a big departure from an internally focused bug tracking tool. Lot's of

good discussion here on this topic: http://www.redmine.org/issues/337

#15 - 2011-01-17 11:00 - John Smith

Hello Everyone,I want to do the same thing in my company. Like using this helpdesk plugin in redmine but I cannot go to the link that is given

above.Reading this part doesnot give much idea.Has anyone done it? If so please give some feedbak.

thanks

#16 - 2011-01-26 12:29 - O G

+1 for getting this functionality in.  It seems a LOT of people need this.

#17 - 2011-02-08 19:39 - Roy Andre Tollefsen

Hi guys,

Here is a link to the source: https://github.com/trollweb/Redmine-Helpdesk-and-Support-Center :)

Feel free to hack around on it.

#18 - 2012-06-04 08:04 - Sergey Startsev

Very useful feature to make a centralized system for development and support

#19 - 2012-06-04 09:40 - Anonymous

Sergey Startsev wrote:

Very useful feature to make a centralized system for development and support

 +1

for helpdesk support we can recommand the plugin helpdesk
#20 - 2013-05-02 03:02 - Jean-Baptiste Barth

- Category changed from Plugin API to Plugin Request

- Status changed from New to Closed

Some plugins already do that, plus you can use redmine this way if you want I think.. So I close this issue.
